const char index_html[] PROGMEM = R"rawliteral(
<!DOCTYPE HTML><html>
<head>
  <title>Klimadaten</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <style>
    html {font-family: Arial; display: inline-block; text-align: center;}
    p {  font-size: 1.2rem;}
    body {  margin: 0;}
    .topnav { overflow: hidden; background-color: #FFFFFF; color: black; font-size: 1.7rem; }
    .content { padding: 20px; }
    .card { background-color: white; box-shadow: 2px 2px 12px 1px rgba(140,140,140,.5); }
    .cards { max-width: 700px; margin: 0 auto; display: grid; grid-gap: 2rem; grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); }
    .reading { font-size: 2.8rem; }
    .packet { color: #000000; }
    .card.temperature { color: #000000; }
    .card.humidity { color: #000000; }
  </style>
</head>
<body>
  <div class="topnav">
    <h3>Klimadaten</h3>
  </div>
  <div class="content">
    <div class="cards">
      <div class="card temperature">
        <h4></i> Sender 1 - Temperatur</h4><p><span class="reading"><span id="t1"></span> &deg;C</span></p><p class="packet"># <span id="rt1"></span></p>
      </div>
      <div class="card humidity">
        <h4></i> Sender 1 - Feuchte</h4><p><span class="reading"><span id="h1"></span> &percnt;</span></p><p class="packet"># <span id="rh1"></span></p>
      </div>
      <div class="card temperature">
        <h4></i> Sender 2 - Temperatur</h4><p><span class="reading"><span id="t2"></span> &deg;C</span></p><p class="packet"># <span id="rt2"></span></p>
      </div>
      <div class="card humidity">
        <h4></i> Sender 2 - Feuchte</h4><p><span class="reading"><span id="h2"></span> &percnt;</span></p><p class="packet"># <span id="rh2"></span></p>
      </div>
    </div>
  </div>
<script>
if (!!window.EventSource) 
{ var source = new EventSource('/events');
  source.addEventListener('open', function(e) 
  {  console.log("Events Connected"); }, false); source.addEventListener('error', function(e) 
  {  if (e.target.readyState != EventSource.OPEN) {    console.log("Events Disconnected");  }
 }, false);
 
 source.addEventListener('message', function(e) {  console.log("message", e.data); }, false);
  source.addEventListener('new_readings', function(e) 
  {  console.log("new_readings", e.data);
    var obj = JSON.parse(e.data);
    document.getElementById("t"+obj.id).innerHTML = obj.temperature.toFixed(0);
    document.getElementById("h"+obj.id).innerHTML = obj.humidity.toFixed(0);
    document.getElementById("rt"+obj.id).innerHTML = obj.readingId;
    document.getElementById("rh"+obj.id).innerHTML = obj.readingId;
  }, false);
}
</script>
</body>
</html>)rawliteral";